### Class

# WPEPlatform BufferDMABuf

#### Description

    final class WPEPlatform.BufferDMABuf : WPEPlatform.Buffer
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEBuffer
- GObject

#### Constructors

###### wpe_buffer_dma_buf_new

Create a new `WPEBufferDMABuf` for the given parameters. The buffer will take the ownership of the `fds`.

#### Instance methods

###### wpe_buffer_dma_buf_get_fd

Get the `buffer` file descriptor of `plane`.

###### wpe_buffer_dma_buf_get_format

Get the `buffer` format.

###### wpe_buffer_dma_buf_get_modifier

Get the `buffer` modifier.

###### wpe_buffer_dma_buf_get_n_planes

Get the numbers of planes of `buffer`.

###### wpe_buffer_dma_buf_get_offset

Get the `buffer` offset of `plane`.

###### wpe_buffer_dma_buf_get_release_fence

Get the release fence file descriptor of `buffer`.

###### wpe_buffer_dma_buf_get_rendering_fence

Get the rendering fence file descriptor of `buffer`.

###### wpe_buffer_dma_buf_get_stride

Get the `buffer` stride of `plane`.

###### wpe_buffer_dma_buf_set_release_fence

Set the release fence file descriptor to use for the `buffer`. The fence will be used to wait before releasing the buffer to be destroyed or reused. The buffer takes the ownership of the file descriptor.

###### wpe_buffer_dma_buf_set_rendering_fence

Set the rendering fence file descriptor to use for the `buffer`. The fence will be used to wait before rendering the buffer. The buffer takes the ownership of the file descriptor.

###### wpe_buffer_dma_buf_take_release_fence

Get the release fence file descriptor of `buffer` and set it to -1.

###### wpe_buffer_dma_buf_take_rendering_fence

Get the rendering fence file descriptor of `buffer` and set it to -1.

##### Methods inherited from WPEBuffer (7)

###### wpe_buffer_get_height

Get the `buffer` height.

###### wpe_buffer_get_user_data

Get user data previously set with wpe_buffer_set_user_data.

###### wpe_buffer_get_view

Get the `WPEView` of `buffer`.

###### wpe_buffer_get_width

Get the `buffer` width.

###### wpe_buffer_import_to_egl_image

Import `buffer` into a EGL image.

###### wpe_buffer_import_to_pixels

Import `buffer` into a pixels buffer.

###### wpe_buffer_set_user_data

Set `user_data` to `buffer`. When `buffer` is destroyed `destroy_func` is called with `user_data`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from WPEBuffer (3)

###### WPEPlatform.Buffer:height

The buffer height.

###### WPEPlatform.Buffer:view

The `WPEView` of the buffer.

###### WPEPlatform.Buffer:width

The buffer width.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformBufferDMABufClass {
      WPEBufferClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEBufferClass`

  No description available.